View Issue Details

IDProjectCategoryView StatusLast Update
0011531MediaMonkey 4DLNA/UPnPpublic2021-04-14 11:41
ReporterLudek Assigned To 
PriorityimmediateSeverityminorReproducibilityunable to reproduce
Status closedResolutionfixed 
Product Version4.0 
Target Version4.1Fixed in Version4.1 
Summary0011531: Server is not seen after resume from computer sleep for some users/client apps
DescriptionOne user is reporting here:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=71402&sid=a0e2f7135590a4001f2b10417aebda57#p378643

That MM server does not work anymore after PC resumes. MM restart helps.

It seems to be issue for other servers as well, e.g. http://forum.serviio.org/viewtopic.php?f=5&t=8393
TagsNo tags attached.
Fixed in build1679

Relationships

related to 0011774 closedLudek MediaMonkey 4 Intermittent failure to find MMW Server 
related to 0011925 closedLudek MediaMonkey 4 Media Server stopped after hibernation 
related to 0011955 closedLudek MediaMonkey 4 MM freezes when video is paused and computer is waking up from sleep 
related to 0012157 closedLudek MediaMonkey 4 UPnP server stops after a while 
related to 0015000 resolvedrusty MediaMonkey 4 Sync: Device scan do not find MMW server 
related to 0017717 closedLudek MediaMonkey 5 MM5 UPnP server often becomes inaccessible after MM5 is running for an extended period 

Activities

Ludek

2013-12-01 17:08

developer   ~0038438

Last edited: 2013-12-01 19:43

View 5 revisions

The answer might be here: http://forum.serviio.org/viewtopic.php?f=5&t=8393&start=20#p69463
Asking user to confirm the speculation via the forum link.

More info: http://support.microsoft.com/kb/958336

The most easy solution probably is to auto-restart MM server after PC resume from computer sleep.
More info: http://msdn.microsoft.com/en-gb/library/aa372718.aspx

Ludek

2013-12-02 11:53

developer   ~0038454

Finally I am also able to replicate the issue after resume from computer Hibernation, some clients (MMA, WMP) no longer see the MM server.

Ludek

2013-12-02 14:50

developer   ~0038457

Fixed in build 1673.

peke

2013-12-05 22:41

developer   ~0038533

Verified 1673

Ludek

2013-12-10 21:27

developer   ~0038676

Last edited: 2013-12-10 21:46

View 3 revisions

Re-opened, I found one regression (found by DUnit test) that after restarting the UPnP services, WiFi sync fails and crashes MMW !

Fixed in build 1679.

peke

2013-12-10 23:03

developer   ~0038679

Verified 1679